TokenLab

視頻與素材

刪除素材資源

刪除當前組織擁有的 Seedance 素材資源。

DELETE
/v1/videos/assets/{assetId}

刪除單個素材資源。此操作不會刪除其所屬的素材組。刪除後,該資源 ID 將無法再作為 material_asset_id 使用。

project_name 用於同一組織內的資源隔離,預設為 default。相關素材群組和素材須使用相同且區分大小寫的值;POST/PUT 在 JSON 請求主體中傳入,GET/DELETE 在查詢參數中傳入。

請求範例

curl "https://api.tokenlab.sh/v1/videos/assets/asset-20260720123456-qn7wr?project_name=default" \
  -X DELETE \
  -H "Authorization: Bearer $TOKENLAB_API_KEY"

回應範例

{
  "deleted": true,
  "id": "asset-20260720123456-qn7wr"
}
curl -X DELETE "https://example.com/v1/videos/assets/asset-20260720123456-qn7wr"
{  "deleted": true,  "id": "asset-20260720123456-qn7wr"}

授權

BearerAuth
AuthorizationBearer <token>

API Key 驗證。請在 Dashboard > API > API Keys 建立或管理 API 金鑰。

位置: header

路徑參數

assetId*string

查詢參數

project_name?string

素材資源的專案範圍。

長度1 <= length <= 128
預設值"default"

回應

application/json

application/json

application/json

application/json

application/json